#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "UObject/NoExportTypes.h"
#include "RevealInteractableToSurvivorsAction.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class URevealInteractableToSurvivorsAction : public UCompetenceAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FLinearColor _revealColor;

public:
	URevealInteractableToSurvivorsAction();
};

FORCEINLINE uint32 GetTypeHash(const URevealInteractableToSurvivorsAction) { return 0; }
